Proč jsou mezi balíky závislosti?

Reditelbackberrrry

Re:Proč jsou mezi balíky závislosti?
« Odpověď #30 kdy: 22. 01. 2017, 11:06:15 »
Jen ze spravce balicku neni zdaleka vsemocny. A bohuzel dost programu neni v repozitarich a pak uz to vazne.
v pripade instalace balicku a reseni jejich zavislosti to je ovsem jina, tak je skoro vsemocny, ze dost programu neni v repositarich je kravina, kdyz neni v systemovejch tak je casto autorem dostupny repositar na pridani ale to uz se pohybujeme stejne dost okrajove...

A druha cast?  To zacinas trochu placat mimo. Celou dobu se bavime o aplikacich a ty zacnes o aktualizaci os? Co to s tim ma spolecneho?
od zacatku bylo recene jak je neco v Linuxu a jak je neco ve Windows, kdyz ty si zacal placat o tom ze s aktualizaci v Linuxu jsou probloemu (pritom v 99.99.% nejsou) tak je logicke ze upozornim na situaci ve Windows kde v 50% problemy jsou, to ze jde o aktualizace balicku systemu je dano tim ze Windows balicky aplikaci neumi, nepocitam metroidni stoor coz teprve by se dalo bavit o tom ze tam vubec nic neni (krome metroidnich <>vin)
Jen že chlapče, já se bavil o aktualizacích programů a ne os ... . Vem třeba krásný příklad Google Chromu, který tedy má oficiální repozitář, ale podporuje jen poslední verze os. Tak že nový Chrome z Google repozitáře nenainstaluješ do verzí RHL 6.x a CentOS 6.x ... . Jediná možnost je stáhnout si skript třetí strany který dokáže nainstalovat knihovny z verze 7.x a pak nainstaluje ten priohlížeč ... to je šílenost. Můžeme sice argumentovat, že je tu něco jako doba podpory os, ale zrovna přechod z 6 na 7 je trochu bolestný protože se toho spousta mění a ne každý to potřebuje a chce.


Reditelbackberrrry

Re:Proč jsou mezi balíky závislosti?
« Odpověď #31 kdy: 22. 01. 2017, 11:11:14 »
3. apt-get install chromium-browser a jsem v pohodě a v klidu na starých strojích
... což ovšem neřeší problém, že chce mít Chrome. Třeba někdo potřebuje spolehlivě synchronizovat záložky, hesla, formuláře mezi různýma strojema (telefon, deskto s win, linux ... ) .

Re:Proč jsou mezi balíky závislosti?
« Odpověď #32 kdy: 22. 01. 2017, 11:29:24 »
3. apt-get install chromium-browser a jsem v pohodě a v klidu na starých strojích
... což ovšem neřeší problém, že chce mít Chrome. Třeba někdo potřebuje spolehlivě synchronizovat záložky, hesla, formuláře mezi různýma strojema (telefon, deskto s win, linux ... ) .

A proc by k tomu potreboval Chrome a ne Chromium?

https://chromium.googlesource.com/chromium/src/+/master/docs/chromium_browser_vs_google_chrome.md

Re:Proč jsou mezi balíky závislosti?
« Odpověď #33 kdy: 22. 01. 2017, 11:35:55 »
skoda ze neni vyber - mne by se treba nekdy hodil deb balicek ktery by si vsechno nesl sebou

ted jsem chtel pres dpkg -i nainstalovat chrome 18.deb na muj stary stroj i386 a pise mi to ze nemam spravnou verzi libgcryptll (a kdyz nainstaluju libcryptll-dev tak to nepomuze) a libcurl3

kdyby si to ten instalator nesl vsechno v sobe, byl bych ted v pohode a vklidu to nainstaloval ..

To je porad dokola - ano, ale porusi se tim DRY se vsemi negativnimi dusledky. Zejmena zacne byt problem s tim, ze (nejen) bezpecnostni updaty zavislosti si bude muset zacit resit kazda aplikace.

ByCzech

  • *****
  • 1 824
    • Zobrazit profil
    • E-mail
Re:Proč jsou mezi balíky závislosti?
« Odpověď #34 kdy: 22. 01. 2017, 12:18:00 »
3. apt-get install chromium-browser a jsem v pohodě a v klidu na starých strojích
... což ovšem neřeší problém, že chce mít Chrome. Třeba někdo potřebuje spolehlivě synchronizovat záložky, hesla, formuláře mezi různýma strojema (telefon, deskto s win, linux ... ) .

Jak jste přišel na to, že to neřeší problém? Koukám, že vám chybí jedna zásadní věc pro diskuzi a tou věcí jsou "znalosti".


ByCzech

  • *****
  • 1 824
    • Zobrazit profil
    • E-mail
Re:Proč jsou mezi balíky závislosti?
« Odpověď #35 kdy: 22. 01. 2017, 12:18:58 »
apt-get install chromium mi na mem ntbk s PIII 700 MHz Coppermine (tj. jen SSE, ne SSE2) sice probehne a nainstaluje chromium, ale to pak spustit nejde

Odkud jste to vytáhl? Ze smetiště? Rozdávají se výrazně modernější věci jen za odvoz nebo pivo. Pokud trváte na tom, že budete provozovat věci na tak starém HW, zdá se, že máte moře zbytečného času, takže jistě si rád ve volném uděláte balíček s Chromiem, který nebude potřebovat CPU s SSE2 instrukcemi ke spuštění, viďte :). Musíte být šťastný člověk, když máte tolik času, že ho můžete takhle plýtvat. To musí být hoooodně pomalé vše na takovém HW.

thg

Re:Proč jsou mezi balíky závislosti?
« Odpověď #36 kdy: 22. 01. 2017, 12:23:17 »
Chrome nenainstaluje, lebo jeho PC nema podporu pre novsie instrukcie. Problem bol aspon v minulosti aj u Chromia.

Staticke linkovanie mrha miestom. V praci to robime, aby na deploy stacilo spustit binarku. Niektore binarky maju aj cez 2GB a to nie je malo.

ByCzech

  • *****
  • 1 824
    • Zobrazit profil
    • E-mail
Re:Proč jsou mezi balíky závislosti?
« Odpověď #37 kdy: 22. 01. 2017, 12:44:26 »
Jen že chlapče, já se bavil o aktualizacích programů a ne os ... . Vem třeba krásný příklad Google Chromu, který tedy má oficiální repozitář, ale podporuje jen poslední verze os. Tak že nový Chrome z Google repozitáře nenainstaluješ do verzí RHL 6.x a CentOS 6.x ... . Jediná možnost je stáhnout si skript třetí strany který dokáže nainstalovat knihovny z verze 7.x a pak nainstaluje ten priohlížeč ... to je šílenost. Můžeme sice argumentovat, že je tu něco jako doba podpory os, ale zrovna přechod z 6 na 7 je trochu bolestný protože se toho spousta mění a ne každý to potřebuje a chce.

Ne to není zdaleka jediná možnost. Doporučuji vám nastudovat si třeba chroot, pak pochopíte, že si můžete lehce spouštět cokoli a do dokonce i napříč distry a jejich verzemi aniž by jste musel něco rozbíjet nebo si stěžovat, jak je Linux neschopný. Zatím to vypadá pořád jen na vaši neschopnost, včetně těch vašich bolestí s přechody.

Reditelbackberrrry

Re:Proč jsou mezi balíky závislosti?
« Odpověď #38 kdy: 22. 01. 2017, 17:42:28 »
3. apt-get install chromium-browser a jsem v pohodě a v klidu na starých strojích
... což ovšem neřeší problém, že chce mít Chrome. Třeba někdo potřebuje spolehlivě synchronizovat záložky, hesla, formuláře mezi různýma strojema (telefon, deskto s win, linux ... ) .

Jak jste přišel na to, že to neřeší problém? Koukám, že vám chybí jedna zásadní věc pro diskuzi a tou věcí jsou "znalosti".
No pokud chce někdo instalovat Chrome a ty mu řekneš ať si nainstaluje Chromium ... tobě toho evidentně chybí víc než znalost.

Re:Proč jsou mezi balíky závislosti?
« Odpověď #39 kdy: 22. 01. 2017, 17:44:09 »
3. apt-get install chromium-browser a jsem v pohodě a v klidu na starých strojích
... což ovšem neřeší problém, že chce mít Chrome. Třeba někdo potřebuje spolehlivě synchronizovat záložky, hesla, formuláře mezi různýma strojema (telefon, deskto s win, linux ... ) .

Jak jste přišel na to, že to neřeší problém? Koukám, že vám chybí jedna zásadní věc pro diskuzi a tou věcí jsou "znalosti".
No pokud chce někdo instalovat Chrome a ty mu řekneš ať si nainstaluje Chromium ... tobě toho evidentně chybí víc než znalost.

Vzhledem k tomu, jaké jsou rozdíly mezi Chrome a Chromiem...

Reditelbackberrrry

Re:Proč jsou mezi balíky závislosti?
« Odpověď #40 kdy: 22. 01. 2017, 17:45:54 »
Jen že chlapče, já se bavil o aktualizacích programů a ne os ... . Vem třeba krásný příklad Google Chromu, který tedy má oficiální repozitář, ale podporuje jen poslední verze os. Tak že nový Chrome z Google repozitáře nenainstaluješ do verzí RHL 6.x a CentOS 6.x ... . Jediná možnost je stáhnout si skript třetí strany který dokáže nainstalovat knihovny z verze 7.x a pak nainstaluje ten priohlížeč ... to je šílenost. Můžeme sice argumentovat, že je tu něco jako doba podpory os, ale zrovna přechod z 6 na 7 je trochu bolestný protože se toho spousta mění a ne každý to potřebuje a chce.

Ne to není zdaleka jediná možnost. Doporučuji vám nastudovat si třeba chroot, pak pochopíte, že si můžete lehce spouštět cokoli a do dokonce i napříč distry a jejich verzemi aniž by jste musel něco rozbíjet nebo si stěžovat, jak je Linux neschopný.
Studovat a provozovat Chroot aby se zjednodušila instalace prohlížeče? No to je docela přiměřené opatření.

A jen pro tvůj klid. Nikdo si tu nestěžuje že "je Linux neschopný". jediný kdo to naznačuješ seš ty.

Re:Proč jsou mezi balíky závislosti?
« Odpověď #41 kdy: 22. 01. 2017, 17:48:07 »
Jen že chlapče, já se bavil o aktualizacích programů a ne os ... . Vem třeba krásný příklad Google Chromu, který tedy má oficiální repozitář, ale podporuje jen poslední verze os. Tak že nový Chrome z Google repozitáře nenainstaluješ do verzí RHL 6.x a CentOS 6.x ... . Jediná možnost je stáhnout si skript třetí strany který dokáže nainstalovat knihovny z verze 7.x a pak nainstaluje ten priohlížeč ... to je šílenost. Můžeme sice argumentovat, že je tu něco jako doba podpory os, ale zrovna přechod z 6 na 7 je trochu bolestný protože se toho spousta mění a ne každý to potřebuje a chce.

Ne to není zdaleka jediná možnost. Doporučuji vám nastudovat si třeba chroot, pak pochopíte, že si můžete lehce spouštět cokoli a do dokonce i napříč distry a jejich verzemi aniž by jste musel něco rozbíjet nebo si stěžovat, jak je Linux neschopný.
Studovat a provozovat Chroot aby se zjednodušila instalace prohlížeče? No to je docela přiměřené opatření.

A jen pro tvůj klid. Nikdo si tu nestěžuje že "je Linux neschopný". jediný kdo to naznačuješ seš ty.

Když má někdo obskurní požadavky, nemůže se divit...

Reditelbackberrrry

Re:Proč jsou mezi balíky závislosti?
« Odpověď #42 kdy: 22. 01. 2017, 17:51:17 »
3. apt-get install chromium-browser a jsem v pohodě a v klidu na starých strojích
... což ovšem neřeší problém, že chce mít Chrome. Třeba někdo potřebuje spolehlivě synchronizovat záložky, hesla, formuláře mezi různýma strojema (telefon, deskto s win, linux ... ) .

Jak jste přišel na to, že to neřeší problém? Koukám, že vám chybí jedna zásadní věc pro diskuzi a tou věcí jsou "znalosti".
No pokud chce někdo instalovat Chrome a ty mu řekneš ať si nainstaluje Chromium ... tobě toho evidentně chybí víc než znalost.

Vzhledem k tomu, jaké jsou rozdíly mezi Chrome a Chromiem...
To je jako kdyby si chtěl někdo koupit škodovku protože k tomu má příslušenství a tys mu poradil koupit ford protože v zásadě to jsou oboje auta a maji čtyři kola.

Jedna z velkých výhod Chromu je synchronizace s gmail účtem napříč platformami. Android, Windows a Linux. V Chromiumu to bohužel na sto procent nefunguje.

Re:Proč jsou mezi balíky závislosti?
« Odpověď #43 kdy: 22. 01. 2017, 17:54:45 »
3. apt-get install chromium-browser a jsem v pohodě a v klidu na starých strojích
... což ovšem neřeší problém, že chce mít Chrome. Třeba někdo potřebuje spolehlivě synchronizovat záložky, hesla, formuláře mezi různýma strojema (telefon, deskto s win, linux ... ) .

Jak jste přišel na to, že to neřeší problém? Koukám, že vám chybí jedna zásadní věc pro diskuzi a tou věcí jsou "znalosti".
No pokud chce někdo instalovat Chrome a ty mu řekneš ať si nainstaluje Chromium ... tobě toho evidentně chybí víc než znalost.

Vzhledem k tomu, jaké jsou rozdíly mezi Chrome a Chromiem...
To je jako kdyby si chtěl někdo koupit škodovku protože k tomu má příslušenství a tys mu poradil koupit ford protože v zásadě to jsou oboje auta a maji čtyři kola.

Jedna z velkých výhod Chromu je synchronizace s gmail účtem napříč platformami. Android, Windows a Linux. V Chromiumu to bohužel na sto procent nefunguje.

Vážně? Link na rozdíly jsem posílal.

Je to nějaký skutečný problém?

ByCzech

  • *****
  • 1 824
    • Zobrazit profil
    • E-mail
Re:Proč jsou mezi balíky závislosti?
« Odpověď #44 kdy: 23. 01. 2017, 02:47:03 »
To je jako kdyby si chtěl někdo koupit škodovku protože k tomu má příslušenství a tys mu poradil koupit ford protože v zásadě to jsou oboje auta a maji čtyři kola.

Jedna z velkých výhod Chromu je synchronizace s gmail účtem napříč platformami. Android, Windows a Linux. V Chromiumu to bohužel na sto procent nefunguje.

To je lež, v Chromiu to funguje úplně stejně jako v Chrome, odzkoušeno mnohokrát. Ten trolling co tu předvádíš je ze slabšího soudku.